Whitelist address
Whitelist address
This endpoint allows you to whitelist an external address to be monitored based on the wallet policies
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| name | false | string | The name of the address. |
| address | true | string | The wallet address. |
| metadata | false | object | Additional metadata for the address. This will be part of any transaction tied to this. |
| showPrivateKey | false | boolean | If you want the address private key to be part of the response. |
| disableAutoSweep | false | boolean | Disable automatic sweeping of assets sent to the address into your master wallet. |
| enableGaslessWithdraw | false | boolean | Enable gasless transactions from this address. |
| privateKey | false | string | The private key associated with the address. Required for executing actions securely. |
POST
Whitelist address
Documentation Index
Fetch the complete documentation index at: https://docs.blockradar.co/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Example:
""
Body
application/json
Example:
"ADDRESS_TO_WHITELIST"
Example:
"OPTIONAL_BOOLEAN"
Example:
"OPTIONAL_BOOLEAN"
Example:
"OPTIONAL_METADATA"
Example:
"OPTIONAL_ADDRESS_NAME"
Example:
"OPTIONAL_ADDRESS_TO_WHITELIST_PRIVATE_KEY"
Example:
"OPTIONAL_BOOLEAN"

